Subject: [LON-CAPA-dev] Re: LON-CAPA-dev digest, Vol 1 #96 - 13 msgs

From: Ron Fox <[email-masked]>
Date: Fri, 02 Jul 2004 04:55:23 -0400

~   My apologies to all.  When I was checking them in I wasn't thinking
about the dependency on the ssl support for perl. I was thinking that
all you really needed were the updated config files (loncapa_apache)
that allow the software to fail back to insecure connection.

Ron Fox
NSCL
Michigan State University
East Lansing, MI 48824-1321

The ancestor of every action is a thought. - Ralph Waldo Emerson

| From: "Matthew Brian Hall" <[email-masked]>
|
| Hi.
|
| Last week I sent out an email asking people to not update their cvs
| repositories until they heard from me.  This was due to some code being
| checked in which made all the development machines unusable until the
users'
| system was updated and an encryption key was obtained from Ron Fox.
Ron's
| email describing the needed steps apparently did not make it out to the
| developer mailing list.  I've attempted to put together the necessary
| packages required to run the new code but I have been unable to test them
| for completeness.  Since Ron is unavailable currently we need to work
around
| the situation.  It is quite frustrating to be telling everyone to update
| their repository every day and then have to send an email out asking them
| not to.  But this is a chance for a brief review of CVS.
|
| The fix is to check out specific versions of some of the files:
|
| cd loncapa/loncom
|
| cvs update -r 1.30 LondConnection.pm
| cvs update -r 1.193 lond
| cvs update -r 1.4 lonlocal.pm
| cvs update -r 1.7 lonssl.pm
| cvs update -r 1.47 loncnew
|
| And then
|
| cd ..
|
| cvs update -d
|
| When you issue a "cvs update" in the future, the versions of lond and the
| other modules will be preserved - in the cvs vernacular, they are
"sticky".
| Changes you see float by the cvs mailing list which apply to these files
| will not be made to your system.  Please avoid modifying these files
for the
| time being.
|
| I imagine that by this time next week we will tell you to issue a "cvs
| update -A".  The "-A' parameter causes cvs to reset all "sticky" tags,
| causing the system to update every file.
|
| Matthew
|
|  ---------------------------------------
| Matthew Hall           [email-masked]
| LON-CAPA developer
| Michigan State University
|  ---------------------------------------
|
|
|